org.eclnt.jsfserver.defaultscreens

## Class ModelessPopup

- java.lang.Object
- - org.eclnt.jsfserver.defaultscreens.BasePopup
  - - org.eclnt.jsfserver.defaultscreens.ModelessPopup

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ModelessPopup>

      public class ModelessPopup
      extends BasePopup
      implements java.io.Serializable, java.lang.Comparable<ModelessPopup>

  Server side management of modeless popups. Direct Implementations use the static createInstance() method for creating the popup, then hold a reference and work with this reference. - By default you do not use direct implementations, though. E.g. when using page beans (IPageBean) then you create popups via the page bean's method `PageBean#openModelessPopup(org.eclnt.jsfserver.pagebean.IPageBean, String, int, int, IModalPopupListener)`.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ModelessPopup.IModelessPopupClosedListener`
    `static interface` | `ModelessPopup.IModelessPopupListener` Simple version of interface - that covers the event, when the user closes the popup (by pressing top-right close icon or by alt-F4...).
    `static interface` | `ModelessPopup.IModelessPopupListener2` Extended version of listener inteface.

    - ### Nested classes/interfaces inherited from class org.eclnt.jsfserver.defaultscreens.BasePopup

      `BasePopup.IPopupListener, BasePopup.IPopupListener2`

  - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.defaultscreens.BasePopup

      `m_animationtype, m_avoidfocussingofopener, m_avoidfocussingofpopup, m_bgpaint, m_clientname, m_closeonclickoutside, m_closeonmouseactivity, m_closeonmouseexit, m_contentReplace, m_contentReplaceDrillDown, m_height, m_id, m_image, m_ismaximized, m_isnew, m_left, m_lefttopreference, m_opacity, m_openasframe, m_opened, m_owner, m_page, m_persistid, m_popupListener, m_positionshift, m_sizeableIfUndecorated, m_startfromrootwindow, m_styleseq, m_title, m_top, m_undecorated, m_updateisolation, m_width, m_windowstate, m_withanimation, POS_CENTER, s_defaultBgpaint, WINDOWSTATE_ICONIFIED, WINDOWSTATE_MAXIMIZED, WINDOWSTATE_NORMAL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelessPopup()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClosedListener(ModelessPopup.IModelessPopupClosedListener listener)`
    `void` | `close()` Close popup.
    `int` | `compareTo(ModelessPopup o)`
    `static ModelessPopup` | `createInstance()` Direct creation of modeless popup.
    `boolean` | `getStickyPosition()`
    `void` | `removeClosedListener(ModelessPopup.IModelessPopupClosedListener listener)`
    `void` | `setOpenasframe(boolean value)` Deprecated.
    `void` | `setStickyPosition(boolean stickyPosition)` When passing true then the popup will change its position once the component that opened the popup moves its screen position (e.g. due to mouse wheel scrolling).
    `void` | `setWindowstate(int windowstate)` Deprecated.

    - ### Methods inherited from class org.eclnt.jsfserver.defaultscreens.BasePopup

      `getAnimationtype, getAvoidfocussingofopener, getAvoidfocussingofpopup, getBgpaint, getClientname, getCloseonclickoutside, getCloseonmouseactivity, getCloseonmouseexit, getContentReplace, getContentReplaceDrillDown, getHeight, getId, getImage, getIndex, getIsmaximized, getIsnew, getLeft, getLefttopreference, getOpacity, getOpenasframe, getOpened, getOwner, getPage, getPersistid, getPopupListener, getPositionShift, getRequestFocus, getSizeableIfUndecorated, getStartfromrootwindow, getStyleseq, getTitle, getTop, getUndecorated, getUpdateIsolation, getWidth, getWindowstate, getWithanimation, initialize, loadPersistedPosition, maximize, onPopupClosedByUser, open, persistPosition, requestFocus, setAnimationtype, setAvoidfocussingofopener, setAvoidfocussingofpopup, setBgpaint, setClientname, setCloseonclickoutside, setCloseonmouseactivity, setCloseonmouseexit, setContentReplace, setContentReplaceDrillDown, setHeight, setImage, setIndex, setLeft, setLefTopReferenceComponentId, setLefTopReferenceComponentIdBottom, setLefTopReferenceComponentIdTop, setLeftTopReferenceBottom, setLeftTopReferenceCentered, setLeftTopReferenceComponentIdCentered, setLeftTopReferenceComponentIdLeft, setLeftTopReferenceComponentIdOver, setLeftTopReferenceComponentIdRight, setLeftTopReferenceLeft, setLeftTopReferenceRight, setLeftTopReferenceTop, setOpacity, setOpened, setOwner, setPage, setPersistid, setPopupListener, setPositionShift, setSizeableIfUndecorated, setStartfromrootwindow, setStyleseq, setTitle, setTop, setUndecorated, setUpdateIsolation, setWidth, setWidthHeightToDesiredSize, setWidthHeightToSizeOfReference, setWithanimation, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelessPopup

          public ModelessPopup()

  - ### Method Detail

    - #### setOpenasframe

          @Deprecated
          public void setOpenasframe(boolean value)

      Deprecated.
      If set to true then the modeless dialog is opened as Frame - a frame is a window on its own, that is shown in the operating system's task bar as separate application window. A framw supports minimize/maximize buttons.
      Please note: this option is not available for the RISC client - and only is supported for the Java-Swing client. We did not remove this option due to compatibility.

    - #### setWindowstate

          @Deprecated
          public void setWindowstate(int windowstate)

      Deprecated.
      Only applicable for frame-dialogs! Otherwise: 0.
      Please note: this option is not available for the RISC client - and only is supported for the Java-Swing client. We did not remove this option due to compatibility.

    - #### createInstance

          public static ModelessPopup createInstance()

      Direct creation of modeless popup. This method of creating a popup is some quite internal way - which is normally not used by application programming. Please use the PageBean-way of opening popups using `PageBean.openModalPopup(org.eclnt.jsfserver.pagebean.IPageBean, String, int, int, org.eclnt.jsfserver.defaultscreens.ModalPopup.IModalPopupListener)` or `PageBean#openModelessPopup(org.eclnt.jsfserver.pagebean.IPageBean, String, int, int, IModelessPopupListener)` instead.

    - #### setStickyPosition

          public void setStickyPosition(boolean stickyPosition)

      When passing true then the popup will change its position once the component that opened the popup moves its screen position (e.g. due to mouse wheel scrolling). This option should be switched on in very rare cases only (e.g. when a small info popup is opened for a dedicated field).

    - #### getStickyPosition

          public boolean getStickyPosition()

    - #### close

          public void close()

      Close popup.
      Overrides:
        `close` in class `BasePopup`

    - #### addClosedListener

          public void addClosedListener(ModelessPopup.IModelessPopupClosedListener listener)

    - #### removeClosedListener

          public void removeClosedListener(ModelessPopup.IModelessPopupClosedListener listener)

    - #### compareTo

          public int compareTo(ModelessPopup o)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<ModelessPopup>`

Copyright © CaptainCasa Gmbh. All Rights Reserved.